Package ru.bitel.bgbilling.modules.softline.common.bean

# Enum Class SoftLineSubscriptionPeriodType

java.lang.Object
java.lang.Enum<SoftLineSubscriptionPeriodType>
ru.bitel.bgbilling.modules.softline.common.bean.SoftLineSubscriptionPeriodType

All Implemented Interfaces:
  `Serializable`, `Comparable<SoftLineSubscriptionPeriodType>`, `Constable`, `GuiTitlable`

public enum SoftLineSubscriptionPeriodType extends Enum<SoftLineSubscriptionPeriodType> implements GuiTitlable
Описание типов сроков подписок

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DAY`
  `MONTH`
  `YEAR`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCode()`
  `String`
  `getDescription()`
  `static String`
  `getDescription(int code)`
  `String`
  `getGuiTitle()`
  Строка - имя объекта.
  `static SoftLineSubscriptionPeriodType`
  `valueOf(int code)`
  Returns the enum constant of this class with the specified name.
  `static SoftLineSubscriptionPeriodType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SoftLineSubscriptionPeriodType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DAY

    public static final SoftLineSubscriptionPeriodType DAY

  - ### MONTH

    public static final SoftLineSubscriptionPeriodType MONTH

  - ### YEAR

    public static final SoftLineSubscriptionPeriodType YEAR

- ## Method Details

  - ### values

    public static SoftLineSubscriptionPeriodType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SoftLineSubscriptionPeriodType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getCode

    public int getCode()

  - ### getDescription

    public String getDescription()

  - ### getDescription

    public static String getDescription(int code)

  - ### valueOf

    public static SoftLineSubscriptionPeriodType valueOf(int code)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `code` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getGuiTitle

    public String getGuiTitle()
    Description copied from interface: `GuiTitlable`
    Строка - имя объекта. Скорее всего уникальная. Используется в комбобоксах, например, итд.
    Specified by:
      `getGuiTitle` in interface `GuiTitlable`
    Returns:
      Строка - представление объекта.